#!/bin/bash
pushd "${BASH_SOURCE%/*}" > /dev/null;

. "../../Software/yay/install.sh";
. "../../Software/nvidia-dkms/install.sh";
. "../../Software/xone/install.sh";
. "../Surface/install.sh";

{
    echo "# vim:set ft=sh";
    echo "MODULES=(pinctrl_sunrisepoint surface_dtx)";
} | sudo tee /etc/mkinitcpio.conf.d/surface-book-2.conf;

yay --noconfirm -Syu \
    surface-dtx-daemon-bin \
    surface-control-bin;

sudo systemctl enable surface-dtx-daemon.service
systemctl enable --user surface-dtx-userd.service

popd > /dev/null;
