#!/bin/bash
pushd "${BASH_SOURCE%/*}" > /dev/null;

yay --noconfirm -Syu \
    `# Necessary for accessing clipboard in terminal: https://wiki.archlinux.org/title/Vim` \
    gvim \
    vi-vim-symlink \
    `# Add clipboard support for wayland: https://www.reddit.com/r/Fedora/comments/ax9p9t/comment/jjb4p7b/` \
    vim-wayland-clipboard-git \
    wl-clipboard \
    ;

. "../../../Common/Config/vim/install.sh";

popd > /dev/null;
