#!/bin/bash
# Prerequisites
sudo pacman --noconfirm -Syu cabextract;

contextRoot="$(mktemp -d)";
repo="https://github.com/manuth/xone.git";
pushd "$contextRoot" > /dev/null;

if ! dkms status --all | grep xone > /dev/null;
then
    git clone "$repo" "$contextRoot";
    sudo ./install.sh --release;
    sudo chmod -R a+rx /usr/src/xone*;
    yes "" | sudo xone-get-firmware.sh;
fi;
popd > /dev/null;
rm -rf "$contextRoot" > /dev/null;
