param (
    $Action,
    [hashtable] $Arguments
)

. "$PSScriptRoot/../PowerShell/Module.ps1";
. "$PSScriptRoot/../../Scripts/Software.ps1";

$parameters = Get-ModuleInstallerComponents "posh-git";

foreach ($key in $PSBoundParameters.Keys) {
    $parameters.Add($key, $PSBoundParameters.TryGetValue($key));
}

Start-SoftwareInstaller @parameters;
