param (
    $Action,
    [hashtable] $Arguments
)

. "$PSScriptRoot/../../../Common/Scripts/Software.ps1";
. "$PSScriptRoot/../../../Common/Types/InstallerAction.ps1";

Start-SoftwareInstaller @PSBoundParameters `
    -Installer {
        param(
            [scriptblock] $Installer
        )

        Install-WingetPackage JanDeDobbeleer.OhMyPosh;
        & $Installer -Action ([InstallerAction]::Configure);
    } `
    -Configurator {
        . "$PSScriptRoot/../../../Common/Software/Oh My Posh/Manage.ps1" `
            -Action ([InstallerAction]::Configure);
    };
