#!/bin/bash -e
function install() {
    function installDrivers() {
        . "../../../scripts/Arch/Config/SecureBoot/install.sh";
        . "../../../scripts/Arch/Drivers/SurfaceBook2/install.sh";
    }

    function installSoftware() {
        . "../../../scripts/Arch/Collections/school.sh";
    }

    function initializeConfig() {
        . "../../../scripts/Common/Config/Steam/hidpi.sh";
        . "../../../scripts/Unix/Devices/Surface Book 2/install.sh";
        . "../../../scripts/Unix/Devices/Logitech G903/install.sh";

        # Because, as it looks, Surface Books are fucking stupid.
        . "../../../scripts/Common/Config/GRUB/verbose.sh";
    }

    pushd "${BASH_SOURCE%/*}" > /dev/null;
    . "../../../scripts/Arch/OS/install.sh";
    popd > /dev/null;
}

install;
