#!/bin/bash
pushd "${BASH_SOURCE%/*}" > /dev/null;
. "../bash/profile.sh";
. "../fish/profile.sh";

{
    echo 'eval "$(zoxide init bash)"';
} | addBashProfile "zoxide";

{
    echo "zoxide init fish | source";
} | addFishProfile "zoxide";

sudo pwsh -NoProfile ./install.ps1;

popd > /dev/null;
