#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"

    function installSW
    end

    function configureSW
        sudo virsh net-autostart default

        if not sudo virsh net-info default | grep "^Active:\s*yes\$" > /dev/null
            sudo virsh net-start default || true
        end
    end

    function userConfig -a name
        sudo usermod -aG libvirt "$name"
    end

    runInstaller $argv
end
