#!/bin/pwsh
. "$PSScriptRoot/../../Scripts/BashScript.ps1";
$configFile="$env:ProgramData/aliae/aliae.yml";
Start-BashScript "bash `"$PSScriptRoot/../../../Common/Config/aliae/install.sh`"";

$null = New-Item -Force $configFile;
Copy-Item -Force "$PSScriptRoot/../../../Common/Software/aliae/aliae.yml" $configFile;
[Environment]::SetEnvironmentVariable("ALIAE_CONFIG", $configFile, [System.EnvironmentVariableTarget]::Machine)
