param(
    $Action,
    [hashtable] $Arguments
)

. "$PSScriptRoot/../../../Common/Scripts/Software.ps1";
. "$PSScriptRoot/../../Scripts/System.ps1";

Start-SoftwareInstaller @PSBoundParameters `
    -Installer {
        $dir = New-TemporaryDirectory;
        $file = "driver.zip";

        $null = Push-Location $dir;
        Invoke-WebRequest "https://global-download.acer.com/GDFiles/Driver/Monitor/Monitor_Acer_1.0_W7x86W7x64W8x86W8x64_A.zip?acerid=636092441703392074" -OutFile $file;
        Expand-Archive $file;
        $null = Start-Process -Wait -FilePath "pnputil" -ArgumentList "/add-driver","*.inf","/install","/subdirs";
        $null = Pop-Location;

        Remove-Item -Recurse $dir;
    };
