#!/bin/pwsh
param($context)
$tempDir = $context.GetTempDirectory();
$installer = "setup.exe";

Push-Location $tempDir;

choco install -y "dotnet-6.0-desktopruntime";

Write-Host "Installing Tobii Ghost";
Write-Information "Downloading Tobii Ghost installer";
Invoke-WebRequest "https://files.update.oem.tobii.com/Ghost/TobiiGhost.1.14.1-Setup.exe" -OutFile $installer;

Write-Information "Running Tobii Ghost installer";
Start-Process -Wait -FilePath "$PSScriptRoot/Ghost.ahk";

Pop-Location;
Remove-Item -Recurse $tempDir;
